Bug 474463 - Error while updating to selinux-policy-targeted-3.3.1-111.fc9.noarch
Error while updating to selinux-policy-targeted-3.3.1-111.fc9.noarch
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 17:18 EST by Eddie Lania
Modified: 2009-01-06 14:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-06 14:12:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eddie Lania 2008-12-03 17:18:32 EST
Description of problem:

Error while updating to selinux-policy-targeted-3.3.1-111.fc9.noarch

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.3.1-111.fc9.noarch

How reproducible:

Just update to latest selinux-policy-targeted-3.3.1-111.fc9.noarch

Steps to Reproduce:
1. Update using yum to selinux-policy-targeted-3.3.1-111.fc9.noarch
2.
3.
  
Actual results:

libsepol.print_missing_requirements: pki's global requirements were not met: type/attribute pki_ocsp_port_t
libsemanage.semanage_link_sandbox: Link packages failed
semodule:  Failed!

Expected results:

No error messages

Additional info:
Comment 1 Miroslav Grepl 2008-12-11 05:23:39 EST
Eddie,

I tried to update to selinux-policy-targeted-3.3.1-111.fc9. Everything seems OK. If I execute:

semanage port -l | grep pki

I get:

pki_ospc_port_t tcp  11180, 11701, 11443, 11444, 11445

Is pki_ocsp_port_t type yours type?
Comment 2 Eddie Lania 2008-12-11 11:15:38 EST
(In reply to comment #1)
> Eddie,
> 
> I tried to update to selinux-policy-targeted-3.3.1-111.fc9. Everything seems
> OK. If I execute:
> 
> semanage port -l | grep pki
> 
> I get:
> 
> pki_ospc_port_t tcp  11180, 11701, 11443, 11444, 11445
> 
> Is pki_ocsp_port_t type yours type?

I get exactly the same output:

semanage port -l | grep pki
pki_ca_port_t                  tcp      9180, 9701, 9443, 9444, 9445
pki_kra_port_t                 tcp      10180, 10701, 10443, 10444, 10445
pki_ocsp_port_t                tcp      11180, 11701, 11443, 11444, 11445
pki_ra_port_t                  tcp      12888, 12889
pki_tks_port_t                 tcp      13180, 13701, 13443, 13444, 13445
pki_tps_port_t                 tcp      7888, 7889
Comment 3 Miroslav Grepl 2008-12-12 03:56:35 EST
OK.

Is pki_ocsp_port_t type yours type?

Can you put the output of the command:

# rpm -qa | grep selinux
Comment 4 Eddie Lania 2008-12-12 07:00:41 EST
(In reply to comment #3)
> OK.
> 
> Is pki_ocsp_port_t type yours type?
> 
> Can you put the output of the command:
> 
> # rpm -qa | grep selinux

rpm -qa |grep selinux
selinux-policy-devel-3.3.1-111.fc9.noarch
libselinux-python-2.0.67-4.fc9.i386
libselinux-2.0.67-4.fc9.i386
selinux-policy-3.3.1-111.fc9.noarch
selinux-policy-targeted-3.3.1-111.fc9.noarch
Comment 5 Miroslav Grepl 2008-12-15 04:49:53 EST
Fixed in selinux-policy-3.3.1-116.fc9.noarch
Comment 6 Eddie Lania 2009-01-06 14:12:16 EST
I believe it is solved now.

Note You need to log in before you can comment on or make changes to this bug.